PFE 0.33.71

Homepage
SourceForge
Download
Documentation
-Overview
-The PFE Manual
old manual / (book)
-ChangeLog
-Authors
-License (LGPL)
-Wordsets / (book)
-Functions .. (book)
-Dp of ANS Forth
-The 4thTutor
-Forthprimer.pdf
- Old Wordsets
- Old Words List
Forth Links
* Forth Repository
* Taygeta Compilation
* TinyBoot FirmWare
* FiCL, Free Forth
* Research Vienna
* Research Bournemouth
* zForth WebRing
Other Links
* Tektronix/MPT
* Forth Org. (FIG)
* Forth Inc.
* MPE Ltd. Forths
* SF Win32Forth
* PD Win32Forth
* Neil Bawd

generated
(C) Guido U. Draheim
guidod@gmx.de

## posix forth wordset page

`NTOHL``( l -- l' )``` => `"EXTENSIONS"`

  if current host-encoding is bigendian, this is a NOOP otherwise byteswap the lower 32-bit bits of the topofstack. see `L@` and `L!` (being usually just `@` and `!` ) (on some platforms, the upper bits are erased, on others not)

  primitive code = [p4_ntohl]

`HTONL``` => `"EXTENSIONS"`

  (no description)

  primitive code = [p4_ntohl]

`NTOHS``( w -- w' )``` => `"EXTENSIONS"`

  if current host-encoding is bigendian, this is a NOOP otherwise byteswap the lower 16-bit bits of the topofstack. see `W@` and `W!` (on some platforms, the upper bits are erased, on others not)

  primitive code = [p4_ntohs]

`HTONS``` => `"EXTENSIONS"`

  (no description)

  primitive code = [p4_ntohs]